var platform = window.location.host === 'm.sogou.com' ? 'Sogou' : 'Baidu';

function fetchSearchResult() {
    
    var resultAs = [];
    
    if (platform === 'Sogou') {
        var resultLinks = $('.results .resultLink');
        
        resultLinks.each(function(index, item) {
                         if ($(item).attr("tagName") === 'A') {
                         var tempUrl = $(item).attr('href');
                         if (tempUrl.indexOf('.') === 0) {
                         tempUrl = 'http://m.sogou.com' + tempUrl.substr(1);
                         }
                         
                         var temp = {};
                         temp.order = index + 1;
                         
                         var titleAll = $(item).text();
                         var titleInfo = $(item).children('div.info').text();
                         temp.title = $.trim(titleAll.replace(titleInfo, ''));
                         
                         temp.query = queryString(tempUrl, 'key');
                         temp.url = queryString(tempUrl, 'url');
                         
                         resultAs.push(temp);
                         }
                         });
    } else if (platform === 'Baidu') {
        var cResults = $('.results >.result.c-result'); // 非广告信息上报
    //    var cResults = $('.result.c-result'); // 非广告信息上报

        if (cResults.length == 0) {
            cResults = $('.s-cluster-container > .s-cluster-content > .result.c-result'); // 某些品牌广告时，页面的结构不一样（eg：保时捷）
        }
        $(cResults).each(function(index, item) {
                         var nowUrl = window.location.href;
                         var url = '';
                         var temp = {};
                         
                         temp.query = queryString(nowUrl, 'word');
                         
                         var itemContainer = $(item).children('.c-container');
                         if (itemContainer.length == 1) {
                         url = itemContainer.children('.c-title.c-gap-top-small').find('a').attr('href');
                         temp.title = $.trim(itemContainer.find('.c-title.c-gap-top-small').text());
                         } else {
                         url = itemContainer.children('a.c-blocka').attr('href');
                         
                         if (itemContainer.children('a.c-blocka').children('.c-title').length !== 0) {
                         temp.title = $.trim(itemContainer.children('a.c-blocka').children('.c-title').text());
                         } else if (itemContainer.children('.wa-realtime-title').children('.s-cluster-title-link').children('h3.c-color').length !== 0) { // 刘德华 '焦点资讯'
                         temp.title = $.trim(itemContainer.children('.wa-realtime-title').children('.s-cluster-title-link').children('h3.c-color').text());
                         } else {
                         temp.title = $.trim(itemContainer.children('.c-blocka').children('h3.c-title').text());
                         }
                         }
                         
                         // data-log
                         temp.dataLog = JSON.parse(item.getAttribute("data-log") ? item.getAttribute("data-log").replace(/'/g, '"') : "{}");
                                                                                                                         
                                                                                                                         temp.order = $(item).attr('order');
                                                                                                                         temp.url = queryString(url, 'nsrc');
                                                                                                                         temp.newScrid = $(item).attr('new_srcid');
                                                                                                                         temp.tpl = $(item).attr('tpl');
                                                                                                                         temp.type = 0;
                                                                                                                         
                                                                                                                         // 对于tpl为bk_polysemy做特殊上报，eg：刘德华
                                                                                                                         if (temp.tpl == 'bk_polysemy') {
                                                                                                                         temp.img = itemContainer.children('a.c-blocka').eq(1).find('img').attr('src');
                                                                                                                         temp.bk_polysemy = itemContainer.children('a.c-blocka').eq(1).find('.wa-bk-polysemy-clamp').text();
                                                                                                                         var details = itemContainer.find('.c-gap-top-small.c-gap-bottom-small').find('p.c-line-clamp2');
                                                                                                                         
                                                                                                                         for (var i = 0; i < details.length; i++) {
                                                                                                                         temp['bk_polysemy' + (i + 1)] = $(details[i]).text();
                                                                                                                         }
                                                                                                                         }
                                                                                                                         
                                                                                                                         // 对于tpl为ks_general做特殊上报
                                                                                                                         if (temp.tpl == 'ks_general') {
                                                                                                                         temp.img = itemContainer.find('a.c-blocka.c-span3').find('img').attr('src');
                                                                                                                         var details = itemContainer.find('.c-span9').children('a.c-blocka');
                                                                                                                         
                                                                                                                         // start --- eg：刘德华的女儿、世界最高的楼
                                                                                                                         temp.ks_general_name = details.children('.wa-ks-general-name').text();
                                                                                                                         if (details.children('.wa-ks-general-abstract').length !== 0) {
                                                                                                                         temp.ks_general_abstract = details.children('.wa-ks-general-abstract').text();
                                                                                                                         }
                                                                                                                         temp.ks_general_attr = details.children('.wa-ks-general-attr').text();
                                                                                                                         
                                                                                                                         if (itemContainer.children('a.c-blocka.c-gap-bottom').find('.wa-ks-general-abstract').length !== 0) {
                                                                                                                         temp.ks_general_abstract = itemContainer.children('a.c-blocka.c-gap-bottom').find('.wa-ks-general-abstract').text();
                                                                                                                         }
                                                                                                                         // end --- eg：刘德华的女儿、世界最高的楼
                                                                                                                         
                                                                                                                         // start --- eg：刘德华的身高
                                                                                                                         if (itemContainer.children('.c-line-bottom').find('.c-img.c-img-s').children('img').length !== 0) {
                                                                                                                         temp.img = itemContainer.children('.c-line-bottom').find('.c-img.c-img-s').children('img').attr('src');
                                                                                                                         }
                                                                                                                         if (itemContainer.children('.c-line-bottom').find('p.wa-ks-general-fontSize26').length !== 0) {
                                                                                                                         temp.ks_general_name = itemContainer.children('.c-line-bottom').find('p.wa-ks-general-fontSize26').text();
                                                                                                                         }
                                                                                                                         if (itemContainer.children('.c-line-bottom').find('p.c-line-clamp1.c-color-gray').length !== 0) {
                                                                                                                         temp.ks_general_attr = itemContainer.children('.c-line-bottom').find('p.c-line-clamp1.c-color-gray').text();
                                                                                                                         }
                                                                                                                         if (itemContainer.find('.wa-ks-general-baike').length !== 0) {
                                                                                                                         temp.ks_general_abstract = itemContainer.find('.wa-ks-general-baike').text();
                                                                                                                         }
                                                                                                                         // end --- eg：刘德华的身高
                                                                                                                         
                                                                                                                         // start --- eg：的字的笔画
                                                                                                                         if (itemContainer.children('.c-blocka').find('p.wa-ks-general-name').length !== 0) {
                                                                                                                         temp.ks_general_name = itemContainer.children('.c-blocka').find('p.wa-ks-general-name').text();
                                                                                                                         }
                                                                                                                         // end --- eg：的字的笔画
                                                                                                                         
                                                                                                                         // start --- eg：谢霆锋儿子
                                                                                                                         var tempKsgeneral = itemContainer.find('.wa-ksgeneral-content-scroller').find('.c-span3').children('a');
                                                                                                                         if (tempKsgeneral.length !== 0) {
                                                                                                                         temp.img = [];
                                                                                                                         temp.ks_general_name = [];
                                                                                                                         for (var i = 0; i < tempKsgeneral.length; i++) {
                                                                                                                         temp.img.push($.trim($(tempKsgeneral[i]).children('.c-img.c-img-s').children('img').attr('src')));
                                                                                                                         temp.ks_general_name.push($.trim($(tempKsgeneral[i]).children('.wa-ksgeneral-uapo-content_item_name').text()));
                                                                                                                         }
                                                                                                                         }
                                                                                                                         // end --- eg：谢霆锋的儿子
                                                                                                                         }
                                                                                                                         
                                                                                                                         resultAs.push(temp);
                                                                                                                         });
                                                   
                                                   var adCounts = 1; // 广告order排序(品牌广告、普通广告、不同普通广告)
                                                   var wiseAds = $('.ec_wise_ad'); // 广告信息上报
                                                   $(wiseAds).each(function(index, item) {
                                                                   var nowUrl = window.location.href;
                                                                   
                                                                   if ($(item).children('.ec_brandAd').length != 0) { //品牌广告
                                                                   var temp = {};
                                                                   temp.query = queryString(nowUrl, 'word');
                                                                   temp.title = $.trim($(item).find('a').text());
                                                                   temp.order = adCounts;
                                                                   adCounts++;
                                                                   temp.ad_url = $(item).find('a').attr('href');
                                                                   temp.type = 2;
                                                                   
                                                                   resultAs.push(temp);
                                                                   } else { // 普通广告
                                                                   var adResults = $(item).children('.ec_ad_results').children('.c-container.ec_resitem');
                                                                   var links = $(item).children('.ec_ad_results').children('link');
                                                                   
                                                                   $(adResults).each(function(index2, item2) {
                                                                                     var temp = {};
                                                                                     temp.query = queryString(nowUrl, 'word');
                                                                                     temp.title = $.trim($(item2).find('a.c-blocka.ec_title').children('h3.c-title').text());
                                                                                     temp.order = adCounts;
                                                                                     adCounts++;
                                                                                     temp.ad_url = $(links[index2]).attr('href');
                                                                                     temp.type = 1;
                                                                                     
                                                                                     resultAs.push(temp);
                                                                                     });
                                                                   }
                                                                   });
                                                   }
                                                   
                                                   if (resultAs.length > 0) {
                                                   return JSON.stringify(resultAs);
                                                   } else {
                                                   return "";
                                                   }
                                                   }
                                                   
                                                   // 检索url中某个字段
                                                   function queryString(url, query) {
                                                   var url = decodeURI(url);
                                                   var urlIndexOf = url.indexOf('?');
                                                   var result = '';
                                                   
                                                   var reg = new RegExp("(^|&)" + query + "=([^&]*)(&|$)", "i");
                                                   var r = url.substr(urlIndexOf + 1).match(reg);
                                                   if (r != null) {
                                                   if ((query === 'url') && (platform === 'Sogou')) {
                                                   result = unescape(decodeURI(r[2]));
                                                   } else {
                                                   result = unescape(r[2]);
                                                   }
                                                   }
                                                   
                                                   return result;
                                                   }
                                                   
                                                   fetchSearchResult();
